/*
Theme Name: Kwiaciarnia Klara Theme
Theme URI: 
Description: Child theme of Shoptimizer mod JC Web Studio
Author: JC Web Studio
Author URI: https://jc-webstudio.pl
Template: shoptimizer
Version: 1.2.2
License:         	GNU General Public License v2 or later
License URI:     	http://www.gnu.org/licenses/gpl-2.0.html
*/

:root {
    /*
        colors
    */
    --color-white: #ffffff;
    --color-white-80: hsla(0, 0%, 100%, 0.8);
    --color-red: #ff0000;
    --color-white-header-info: rgba(255, 255, 255, 0.95);
    --color-main-dark: rgb(9, 4, 73);
    --color-main-p: rgba( 9, 4, 35, 100% );
    --color-green-premium-background: rgba( 66, 100, 47, 3% );
    --color-green-info-button-act: rgba( 66, 100, 47, 6% );
    --color-green-product-atts: rgba( 66, 100, 47, 2% );
    --color-green-product-acr: rgba( 66, 100, 47, 15% );
    --button-add-to-cart-color: rgba( 66, 100, 47, 25% );
    --input-focus-shadow: rgba( 66, 100, 47, 20% );
    --button-add-to-cart-color-act: rgba( 67, 101, 47, 65% );
    --header-gradient-color: rgba( 67, 101, 47, 45% );
    --hover-color-1: rgba(9, 4, 73, 0.251);
    --hover-color-2: rgba(8, 4, 73, 0.651);
    --hover-color-3: rgba(9, 4, 73, 0.8);
    --hover-color-1-active: var(--color-main-dark);
    --search-background-color: var(--color-white);
    --form-background-active: rgba( 66, 100, 47, 5% );
    --search-suggestion-hover: rgba( 66, 100, 47, 10% );
    --primary-nav-background: rgba( 246, 247, 245, 100% );
    --mobile-header-background: var(--color-white);
    --form-text-color: rgba(9, 4, 7, 0.8);
    --text-middle-strong-color: rgba( 9, 4, 73, 70% );
    --color-strong-monstera: #42642f;
    --color-strong-monstera-90: rgba( 66, 100, 47, 90% );
    --color-strong-monstera-80: rgba( 66, 100, 47, 80% );
    --color-button-hover-active: rgba( 66, 100, 47, 35% );
    --main-numeric-val: 1rem;
    --cta-button-background-color:  rgba( 43, 4, 73, 60% );
    --cta-hover-button-background-color: rgba( 43, 4, 73, 85% );
    /*
        font sizes
    */
    --const-font-small-size: 1rem;
    --const-font-mobile-size: 1.125rem;
    --const-word-spacing-min: .12;
    --const-letter-spacing-min: 0.065;
    --const-line-height: 1.5;
    --clamp-font-p-size-desktop: clamp(1.125rem, calc((20 - 16) / (1920 - 320) * (var(--clamp--vw, 100vw) - 20.0000rem) + 1.125rem), 1.25rem);
    --clamp-font-p-small-size-desktop: clamp(1rem, calc(1rem + ((1vw - 0.4rem) * 1.25)), 1.25rem);
    --clamp-font-nav-size-desktop: clamp(1.25rem, calc(1.25rem + ((1vw - 0.4rem) * 1.25)), 1.75rem);
    --nav-items-padding: calc( var( --clamp-font-nav-size-desktop ) * ( var( --const-word-spacing-min ) * 3 ) );
    --info-items-padding: calc( var( --clamp-font-p-size-desktop ) * ( var( --const-word-spacing-min ) * 2 ) );
    --second-menu-font-size: var( --main-numeric-val );
    --list-product-add-to-cart-font-size: 1.125rem;
    --list-product-price-font-size: clamp(0.875rem, calc((16 - 14) / (1920 - 320) * (var(--clamp--vw, 100vw) - 20.0000rem) + 0.875rem), 1rem);
    --h1-font-size: clamp(1.875rem, calc((48 - 30) / (1920 - 320) * (var(--clamp--vw, 100vw) - 20.0000rem) + 1.875rem), 3rem);
    --h2-font-size: clamp(1.75rem, calc((40 - 28) / (1920 - 320) * (var(--clamp--vw, 100vw) - 20.0000rem) + 1.75rem), 2.5rem);
    --h3-font-size: clamp(1.625rem, calc((34 - 26) / (1920 - 320) * (var(--clamp--vw, 100vw) - 20.0000rem) + 1.625rem), 2.125rem);
    --h4-font-size: clamp(1.4375rem, calc((28 - 23) / (1920 - 320) * (var(--clamp--vw, 100vw) - 20.0000rem) + 1.4375rem), 1.75rem);
    --h5-font-size: clamp(1.25rem, calc((24 - 20) / (1920 - 320) * (var(--clamp--vw, 100vw) - 20.0000rem) + 1.25rem), 1.5rem);
    --h6-font-size: clamp(1.125rem, calc((22 - 18) / (1920 - 320) * (var(--clamp--vw, 100vw) - 20.0000rem) + 1.125rem), 1.375rem);
    /*
        dimesions
    */
    --clamp-logo-height: clamp( 5.1564rem, calc( 0.0911 * ( 100vw - 20rem ) + 5.1564rem), 7.1875rem );
    --clamp-padding-value: clamp(1.5rem, calc(0.0396 * (100vw - 20rem) + 1.5rem), 3.875rem);
    --clamp-product-list-padding: clamp(1rem, calc((24 - 16) / (1920 - 320) * (100vw - 20rem) + 1rem), 1.5rem);
    --header-min-height: var( --clamp-logo-height );
    --second-menu-icon-size: clamp(2.5rem, calc(-0.05 * (100vw - 60rem) + 2.5rem), 1.5rem);
    --const-padding-bottom: calc( var( var(--main-numeric-val) ) * 2 );
    /*
        break points
    */
   
    --max-width-small-desktop: 80rem; /* 1280px */
    --max-width-medium-desktop: 100rem; /* 1600px */
    --max-width-wide-desktop: 120rem; /* 1920px */

    /*
        effects
    */
    /*
    transition: var( --global-transition-all );
    
    */
    --global-transition: ease-in-out 0.5s;
    --global-transition-all: all 0.5s;
    --global-transition-time: 0.5s;
    
    /*
    *   hover options
    *
    */
    --jcws-text-underline-offset: 4px;
    /*
    text-underline-offset: var( --jcws-text-underline-offset );
    text-decoration-thickness: var( --jcws-text-decoration-thickness );
    */
    --jcws-text-decoration-thickness: 0.4px;
}

:root :where(.wp-element-button, .wp-block-button__link) {
    background: none;
    border: 1px solid var(--hover-color-1-active);
    border-radius: 0%;
    color: var(--hover-color-2);
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
    padding: calc((var( --main-numeric-val ) / 2) + 2px) calc(var( --main-numeric-val ) + 2px);
    text-decoration: none;
}
@media( max-width: 960px) {
    :root :where(.wp-element-button, .wp-block-button__link) {
        font-size: var( --const-font-mobile-size );
    }
}

@font-face {
    font-family: 'Ubuntu Sans Regular';
    src: url('https://kwiaciarniaklara.pl/wp-content/fonts/UbuntuSans-Light.woff') format('woff');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Ubuntu Sans Regular';
    src: url('https://kwiaciarniaklara.pl/wp-content/fonts/UbuntuSans-Regular.woff') format('woff');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Ubuntu Sans Regular';
    src: url('https://kwiaciarniaklara.pl/wp-content/fonts/UbuntuSans-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Ubuntu Sans Regular';
    src: url('https://kwiaciarniaklara.pl/wp-content/fonts/UbuntuSans-SemiBold.woff') format('woff');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Lora';
    src: url('https://kwiaciarniaklara.pl/wp-content/fonts/Lora-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Lora';
    src: url('https://kwiaciarniaklara.pl/wp-content/fonts/Lora-SemiBold.woff') format('woff');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Lora';
    src: url('https://kwiaciarniaklara.pl/wp-content/fonts/Lora-MediumItalic.woff') format('woff');
    font-weight: 500;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Lora';
    src: url('https://kwiaciarniaklara.pl/wp-content/fonts/Lora-SemiBoldItalic.woff') format('woff');
    font-weight: 600;
    font-style: italic;
    font-display: swap;
}
@font-face {
    font-family: 'Lora';
    src: url('https://kwiaciarniaklara.pl/wp-content/fonts/Lora-BoldItalic.woff') format('woff');
    font-weight: 900;
    font-style: italic;
    font-display: swap;
}


body, button, input, select, option, textarea, :root :where(body) {
    font-family: 'Ubuntu Sans Regular';
    font-size: var( --clamp-font-p-size-desktop ) !important;
    font-weight: 400;
    line-height: 1.5;
    letter-spacing: calc( var(--const-letter-spacing-min) * var( --clamp-font-p-size-desktop ) );
    word-spacing: calc( var(--const-word-spacing-min) * var( --clamp-font-p-size-desktop ) );
    
}
h1 {
    font-size: var(--h1-font-size);
    letter-spacing: calc( var( --const-letter-spacing-min ) * var( --h1-font-size ) );
    word-spacing: calc( var( --const-word-spacing-min ) * var( --h1-font-size ) );
    padding-bottom: calc( 2 * var(--h1-font-size) );
    font-family: 'Lora';
    font-weight: 500;
    font-style: italic;
}
h1 strong{
    font-weight: 900;
}

h2 {
    font-size: var(--h2-font-size);
    letter-spacing: calc( var( --const-letter-spacing-min ) * var( --h2-font-size ) );
    word-spacing: calc( var( --const-word-spacing-min ) * var( --h2-font-size ) );
    padding-bottom: calc( 2 * var(--h2-font-size) );
    font-family: 'Ubuntu Sans Regular';
    font-weight: 200;
    color: var( --color-main-p );
}

h3 {
    font-size: var( --h3-font-size );
    letter-spacing: calc( var( --const-letter-spacing-min ) * var( --h3-font-size ) );
    word-spacing: calc( var( --const-word-spacing-min ) * var( --h3-font-size ) );
    padding-bottom: calc( 2 * var(--h3-font-size) );
    font-family: 'Lora';
}

h4 {
    font-size: var( --h4-font-size );
    letter-spacing: calc( var( --const-letter-spacing-min ) * var( --h4-font-size ) );
    word-spacing: calc( var( --const-word-spacing-min ) * var( --h4-font-size ) );
    padding-bottom: calc( 2 * var(--h4-font-size) );
    font-family: 'Ubuntu Sans Regular';
    font-weight: 300;
}

p{
    padding-bottom: calc( 2 * var( --clamp-font-p-size-desktop ) );
    color: var( --color-main-p );
    font-size: var( --clamp-font-p-size-desktop );
}

@media (max-width: 960px) {
    .wp-block-columns{
        flex-direction: column; 
        row-gap: 0rem;
    }
}


.jcws-header-container {
    display: flex;
    margin-right: 0;
    margin-left: auto;
}

.jcws-header-container-top-bar{
    display: none;
    transition: var( --global-transition );
} 
.col-full-nav.is_stuck .jcws-header-container-top-bar{
    transition: var( --global-transition );
    display: flex;
    flex: auto;
}

.jcws-primary-navigation{
    display: flex;
    background-color: var(--color-white);
    border-top: calc(var(--main-numeric-val) / 2) solid white;
    margin-top: -1px;
    width: auto;
    max-width: 100%;
    justify-content: space-around;
    flex-wrap: nowrap;
    align-items: center;
    
}


@media (min-width: 960px) {
    .shoptimizer-cart{
        width: max-content;
    }
    #secondary {
        width: 21%;
    }
    .content-area {
        width: 77%;
    }

    .jcws-mobile-sub-menu,
    .jcws-mobile-second-menu-container {
        display: none;
    }
}

/**
    Search tab visibilty
*/

.commercekit-ajs-results {
    margin-top: -.45rem;
    z-index: 1065;
}

.commercekit-ajs-suggestions {

    border: none;
}
.commercekit-ajs-suggestions>.autocomplete-suggestion {
    border-bottom: 1px solid var( --hover-color-1-active );
}

.commercekit-ajs-suggestions .commercekit-ajs-post, 
.commercekit-ajs-suggestions .commercekit-ajs-product {
    width: 100%;
    color: var( --form-text-color );
}


.commercekit-ajs-suggestions>.autocomplete-suggestion:hover, 
.commercekit-ajs-suggestions>.autocomplete-suggestion.active {
    background-color: var( --search-suggestion-hover );
}


.commercekit-ajs-product-title {
    font-size: var( --const-font-small-size );
}


.commercekit-ajs-product-price, .commercekit-ajs-product-price ins {
    color: var( --color-strong-monstera );
    font-weight: 600;
    font-size: var( --clamp-font-p-size-desktop );
}

.commercekit-ajs-suggestions .commercekit-ajs-post, 
.commercekit-ajs-suggestions .commercekit-ajs-product {
    font-size: var( --const-font-small-size );
    color: var( --text-middle-strong-color );
}
.commercekit-ajs-post .commercekit-ajs-post-title {
    font-size: var( --const-font-small-size );
}

.commercekit-ajs-post .commercekit-ajs-post-title span.post-type {

    color: var( --text-middle-strong-color );
    font-size: var( --const-font-small-size );
    padding-left: .5rem;
}

.commercekit-ajs-view-all-holder>a {

    height: 40px;
    line-height: 40px;
    background: var( --form-background-active );
    text-align: center;
    color: var( --hover-color-1-active );
    text-transform: uppercase;
    font-weight: 600;
    font-size: var( --const-font-small-size );
    letter-spacing: .02em;
}

.commercekit-ajs-view-all-holder>a:hover {
    background-color: var( --color-button-hover-active );
    color: var( --hover-color-1-active );
}

.commercekit-ajs-product-price del {
    margin-right: 5px;
    color: var( --text-middle-strong-color );
    font-weight: 300;
}

.jcws-top-bar-icon {
    margin: 4px 6px 4px 6px;
    border: solid 2px;
    border-radius: 100%;
    width: calc( var( --main-numeric-val ) * 1.5 );
    padding: 4px;
    color: var( --hover-color-1-active );
    opacity: .65;
    transition: all 0.3s ease-in-out;
}
a>.jcws-top-bar-icon:hover {
    transition: all 0.3s ease-in-out;
    opacity: 1;
}
.custom-html-widget {
    display: inline-flex;
    max-width: 100%;
}
#custom_html-6>.custom-html-widget {
    
    flex-direction: column;
}

.jcws-header-icon-column {
    max-width: 28px;
    
}
.jcws-header-icon-column>figure>img {
    opacity: .7;
}

.jcws-header-main-column {
    font-weight: 200;
    
}

.jcws-header-icon-column>a{
    opacity: .65;
    transition: all 0.3s ease-in-out;
}

.jcws-header-icon-column>a:hover{
    opacity: 1;
    transition: all 0.3s ease-in-out;
}

.jcws-header-text-column {

    min-width: fit-content;
}

.jcws-header-text-column>p{
    font-size: var( --clamp-font-p-small-size-desktop );
    padding-left: var( --info-items-padding );
    color: var( --hover-color-1-active );
    padding-bottom: 0px;
}

.jcws-header-text-column>p>a{
    opacity: .65;
    transition: all 0.3s ease-in-out;
    text-decoration: none;
}

.jcws-header-text-column>p>a:hover{
    opacity: 1;
    transition: all 0.3s ease-in-out;
    text-decoration: none;
}

.jcws-category-header-klara > a{
    font-weight: 400;
    text-transform: uppercase;
    font-family: 'Ubuntu Sans Regular';
}
.jcws-category-header-klara > a:hover{
    font-family: 'Ubuntu Sans Regular';
    transition: var( --global-transition );
    text-decoration: none;
}
/**
buttons styling
*/

.wp-block-buttons>.wp-block-button a{
    font-weight: 300;
    font-family: 'Ubuntu Sans Regular';
    transition: var(--global-transition-all);
}

.wp-block-buttons>.wp-block-button a:hover {
    background-color: var( --color-green-info-button-act );
    color: var( --hover-color-3 );
    transition: var(--global-transition-all);
    text-decoration: underline;
    text-underline-offset: 4px;
    text-decoration-thickness: 0.4px;
    
}

.wp-block-buttons>.wp-block-button{
  background-color: white;
}

.wp-block-kadence-advanced-form .kb-advanced-form{
    gap: var( --main-numeric-val );
}


.jcws--section-main h2{
    background: var( --color-strong-monstera );
    background: linear-gradient(0deg, var( --header-gradient-color ) 32%, rgba(0,0,0,0) 32%);
    color: var( --color-main-p );
    line-height: 1;
    padding-top: calc( var(--main-numeric-val) / 2 );
    padding-bottom: 0;
    font-weight: 300;  
    margin-bottom: var(--main-numeric-val);
}
.jcws--section-main h2{
    margin-bottom: calc( var(--main-numeric-val) *2);
}

.jcws--section-main{
    margin-bottom: var( --clamp-padding-value );

}

@media (min-width: 1600px) {
    .jcws--section-main-inner{
        padding-right: var(--clamp-padding-value);
        padding-left: var(--clamp-padding-value);
        max-width: var( --max-width-wide-desktop );      
    }
}
@media (max-width: 1599px) {
    .jcws--section-main-inner{
        padding-right: var(--clamp-padding-value);
        padding-left: var(--clamp-padding-value);
        max-width: var( --max-width-small-desktop );      
    }
}
.jcws--section-main-inner{
    padding-right: var(--clamp-padding-value);
    padding-left: var(--clamp-padding-value);
    margin: 0 auto;
}

/**
*
*   Wishlist style
*
*/

.commercekit-wishlist-table tbody td, 
.commercekit-wishlist-table thead th {
    border-bottom: 1px solid var( --color-strong-monstera );
    padding: var( --main-numeric-val ) 0;
    vertical-align: middle;
    font-size: var( --clamp-font-p-size-desktop );
}
.commercekit-wishlist-table thead th {
    font-family: 'Lora';
    font-weight: 500;
    font-style: italic;
    font-size: var( --h6-font-size );
    color: var( --color-main-dark );
}
.commercekit-wishlist-table .image {
    width: max-content;
}

.commercekit-wishlist-table a.commercekit-remove-wishlist2 {
    width: 44px;
    height: 44px;
    display: inline-block;
    vertical-align: middle;
    text-align: center;
}
.commercekit-wishlist-table tbody td.name{
    padding-left: calc( var( --main-numeric-val ) / 2);
}
@media (max-width: 800px) {
    .commercekit-wishlist-table tbody td.name{
        padding-left: 0;
        padding-right: 0;
        margin: 0 auto;
    }
    .commercekit-wishlist-table tbody td, .commercekit-wishlist-table thead th {
        border-bottom: none;
        padding: calc( var(--main-numeric-val) / 4 ) 0;
    }
    .commercekit-wishlist-table tbody td.name {
        padding-bottom: 0;
        font-size: var( --h5-font-size );
        line-height: 1.5;
    }
    .commercekit-wishlist-table thead {
        display: none;
    }
    .commercekit-wishlist-table tr {
        position: relative;
        margin-bottom: calc( var( --main-numeric-val ) / 2);
        padding-bottom: calc( var( --main-numeric-val ) / 2);
        border-bottom: 1px solid var( --color-strong-monstera );
        display: flex;
        padding-left: 0;
        flex-direction: column;
        align-items: stretch;
    }
    .commercekit-wishlist-table td.remove {
        position: relative;
    }
    .commercekit-wishlist-table td.image {
        position: relative;
        max-height: initial;
        margin: 0 auto;
        padding: calc( var(--main-numeric-val) / 4 ) 0;
    }
    .commercekit-wishlist-table tbody td.stock {
        font-size: var( --const-font-mobile-size );
        opacity: .6;
    }
}
.commercekit-wishlist-table .remove {
    padding-right: calc( var( --main-numeric-val ) / 2);
}
.commercekit-wishlist-table .remove a {
    display: block;
    font-size: 32px;
    line-height: 39px;
    border-radius: 100%;
    color: var( --hover-color-2 );
    font-weight: 700;
    text-align: center;
    border: 1.5px solid var( --hover-color-2 );
    transition: var( --global-transition );
}

.commercekit-wishlist-table .remove a:hover {
    color: var( --color-red );
    border-color: var( --hover-color-3 );
}

.commercekit-wishlist-table a {
    color: var( --hover-color-2 );
}

.commercekit-wishlist-table tbody td.price{
    color: var( --color-main-p );
}

.commercekit-wishlist-table .cart button, 
.commercekit-wishlist-table .cart a.button {
    padding: calc( var( --main-numeric-val ) / 2) var( --main-numeric-val );
    line-height: 1.5;
    transition: var( --global-transition );
    border-radius: 0;
    font-size: var( --clamp-font-p-size-desktop );
    color: var( --hover-color-2 );
    white-space: nowrap;
    font-weight: 300;
    cursor: pointer;
    border: 1px solid var(--button-add-to-cart-color-act);
    background-color: var(--button-add-to-cart-color);
}

.commercekit-wishlist-table .cart .commercekit-wishlist-cart:hover,
.commercekit-wishlist-table .cart a.button:hover {
    background-color: var(--button-add-to-cart-color-act);
    color: var( --hover-color-3 );
    text-decoration: underline;
    transition: var( --global-transition );
}

.commercekit-wishlist-pages {
    font-size: inherit;
    justify-content: space-between;
    align-items: center;
    margin-top: -1rem;
    margin-bottom: var( --clamp-padding-value );
}
.jcws-no-p{
    padding-bottom: calc(var(--main-numeric-val)* 3) !important;
}
@media ( max-width: 960px ){
    .has-global-padding {
        padding-left: 0;
        padding-right: 0;
    }
}

.wp-container-core-columns-is-layout-1 {
    gap: 0 !important;
}

@media (min-width: 961px) {
    .col-full-nav.jcws-header-style{
        border-bottom: 1px solid var( --color-strong-monstera-80 );
        box-shadow:  0px 0px 2px var( --color-strong-monstera );
    }
}
p.jcws-pp-newsletter{
    /*padding-bottom: var( --clamp-font-p-size-desktop );*/
    margin-left: 2rem;
}

p.jcws-pp-account{
    padding-bottom: 0;
    margin-left: 0;
    font-size: var( --const-font-mobile-size );
}
.button.jcws-disabled{
    opacity: 0.3;
    cursor: not-allowed;
}
@media (max-width: 960px) {
    div#h-skip-to-content{
        padding-bottom: var( --const-padding-bottom );
    }
    .main-header.col-full.jcws-wrapper{
        padding-right: calc( var( --main-numeric-val ) / 2 );
        padding-left: calc( var( --main-numeric-val ) / 2 );
    }
    .woocommerce-checkout .main-header.col-full.jcws-wrapper{
        display: none;
    }
    .jcws-mobile-second-menu-container ul.menu{
        word-spacing: 0;
        letter-spacing: 0;
    }
}
.jcws-topbutton {
    height: 40px;
    width: 40px;
    position: fixed;
    right: 8px;
    bottom: 22px;
    z-index: 9;
    background-repeat: no-repeat;
    display: none;
    color: var( --hover-color-2 );
    background-color: var( --color-white );
    border-radius: 100%;
}
.jcws-mobile-header-widget{
    padding-left: var( --main-numeric-val );
    padding-right: var( --main-numeric-val );
    padding-top: calc( var( --main-numeric-val ) / 2 );
    justify-items: center;
}
@media( max-width: 960px){
    .jcws-mobile-header-widget .wp-element-button.wp-block-button__link{
        padding: 0 calc(var(--main-numeric-val) + 2px);
    }
}
@media( max-width: 960px){
}
.jcws-menu-widget .wp-element-button.wp-block-button__link{
    padding: 0 calc(var(--main-numeric-val) + 2px); 
    position: absolute;
    top: 8px;
    transform: translateY(-300%);
    transition: transform 0.5s;
    width: fit-content;
}

@media( max-width: 960px){
    .jcws-menu-widget .wp-element-button.wp-block-button__link{
        padding: 0 calc(var(--main-numeric-val) + 2px); 
        position: relative;
        transform: none;
        transition: transform 0.5s;
    }
    
}


.jcws-menu-widget .wp-element-button.wp-block-button__link:focus {
    transform: translateY(0%);
}


.jcws-mailpoet-form .mailpoet_form_html a.jcws-info-h{
    color: var( --color-white-80 );
    cursor: pointer;
    -webkit-text-decoration-skip-ink: all;
    text-decoration-skip-ink: all;
    text-decoration: underline;
    text-underline-offset: 3px;
    transition: var( --global-transition-all );
}

.jcws-mailpoet-form .mailpoet_form_html a.jcws-info-h:hover {
    color: var( --color-white );
    text-decoration: underline;
    text-underline-offset: 6px;
}
.jcws-mailpoet-form .mailpoet_form_html a{
    color: var( --color-white );
}
.jcws-mailpoet-form a .mailpoet_paragraph {
    width: max-content;
    line-height: inherit;
    background-color: var( --color-white );
}
.jcws-mailpoet-form .mailpoet_paragraph input[type="email"].mailpoet_text{
    padding: 1rem 0.7rem !important;   
}
.jcws-mailpoet-form .mailpoet_form_html input[type="email"].mailpoet_text.parsley-error{
    background-color: #f2dede;
    border-color: #e2401c;
    color: #e2401c;
}
.jcws-mailpoet-form .parsley-required, .parsley-custom-error-message {
    background-color: #e2401c;
    border-top: 1px solid var( --color-strong-monstera-80 ); 
    border-bottom: 1px solid var( --color-strong-monstera-80 ); 
    border-right: 1px solid var( --color-strong-monstera-80 ); 
    border-left: 0.4rem solid #e2401c;
    font-size: var( --clamp-font-p-size-desktop );
    color: #fff;
    outline: 0;
    line-height: 1.5;
    font-family: 'Ubuntu Sans Regular';
}
.jcws-mailpoet-form .mailpoet_message {
    margin: 0;
    padding: calc( var( --main-numeric-val ) / 2 ) var( --main-numeric-val );
    background-color: var( --color-white-80 );
}
.jcws-mailpoet-form .mailpoet_form_html p {
    font-family: 'Ubuntu Sans Regular';    
    padding: calc( var( --main-numeric-val ) / 2 ) 0;
    color: var( --color-main-p );
}

.jcws-mailpoet-form .mailpoet_form.mailpoet_form_successfully_send .mailpoet_validate_success{
    background-color: var( --color-white-80 );
    font-family: 'Ubuntu Sans Regular';    
    visibility: visible;
    color: var( --color-main-p );
    cursor: auto;
}

.woocommerce button[name="update_cart"],
.woocommerce submit[name="update_cart"] {
    display: none;
}